Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in spamassassin
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in spamassassin
ID: SUSE-SU-2019:1961-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP4, SUSE Linux Enterprise Server 12-SP4
Datum: Mi, 24. Juli 2019, 18:51
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11780
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15705
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-1238
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11781
Applikationen: Apache SpamAssassin

Originalnachricht


SUSE Security Update: Security update for spamassassin
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:1961-1
Rating: important
References: #1108745 #1108748 #1108750
Cross-References: CVE-2016-1238 CVE-2017-15705 CVE-2018-11780
CVE-2018-11781
Affected Products:
SUSE Linux Enterprise Server 12-SP4
SUSE Linux Enterprise Desktop 12-SP4
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for spamassassin to version 3.4.2 fixes the following issues:

Security issues fixed:

- CVE-2017-15705: Fixed denial of service via unclosed tags in crafted
emails (bsc#1108745).
- CVE-2018-11781: Fixed a code injection in the meta rule syntax by local
users (bsc#1108748).
- CVE-2018-11780: Fixed a potential remote code execution vulnerability in
PDFInfo plugin (bsc#1108750).

Non-security issues fixed:

- Added four new plugins (disabled by default): HashBL, ResourceLimits,
FromNameSpoof, Phishing
- sa-update script: optional support for SHA-256 / SHA-512 been added for
better validation of rules
- GeoIP2 support has been added to RelayCountry and URILocalBL plugins
- Several new or enhanced configuration options


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 12-SP4:

zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-1961=1

- SUSE Linux Enterprise Desktop 12-SP4:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-1961=1



Package List:

- SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):

perl-Mail-SpamAssassin-3.4.2-44.3.1
spamassassin-3.4.2-44.3.1
spamassassin-debuginfo-3.4.2-44.3.1
spamassassin-debugsource-3.4.2-44.3.1

- SUSE Linux Enterprise Desktop 12-SP4 (x86_64):

perl-Mail-SpamAssassin-3.4.2-44.3.1
spamassassin-3.4.2-44.3.1
spamassassin-debuginfo-3.4.2-44.3.1
spamassassin-debugsource-3.4.2-44.3.1


References:

https://www.suse.com/security/cve/CVE-2016-1238.html
https://www.suse.com/security/cve/CVE-2017-15705.html
https://www.suse.com/security/cve/CVE-2018-11780.html
https://www.suse.com/security/cve/CVE-2018-11781.html
https://bugzilla.suse.com/1108745
https://bugzilla.suse.com/1108748
https://bugzilla.suse.com/1108750

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung